#!/bin/bash

if [[ "$(date "+%Y%m%d%H")" < "2020051018" ]];then
  exit
fi

echo "begin"
nework_dir="/etc/sysconfig/network-scripts"
sed -i '/centos_changeip/d' /etc/rc.local

# get new_ip
for interface in  $(ip link |grep UP |awk -F ':| ' '{print $3}')
do
  ipline=$(ip a show $interface |grep "202.")
  if [ -z "$ipline" ];then
    continue
  fi
  interface_name=$interface
  old_ip=$(echo $ipline |awk '{print $2}' |awk -F '/' '{print $1}')
  echo $old_ip
  ip_end=$(echo $old_ip |awk -F '.' '{print $NF}')
  if [[ "$old_ip" =~ "202.66.144" ]];then
    new_ip="118.193.41."$ip_end
    new_gw="118.193.41.1"
  elif [[ "$old_ip" =~ "202.65.220" ]];then
    new_ip="118.193.42."$ip_end
    new_gw="118.193.42.1"
  fi
done

interface_name_full="ifcfg-"$interface_name
echo $new_ip
interface_file=$nework_dir/$interface_name_full
if [ -f $interface_file ];then
  sed -i "s/$old_ip/$new_ip/" $interface_file
  sed -i "/GATEWAY/d" $interface_file
  sed -i "/NETMASK=/a\GATEWAY=$new_gw" $interface_file
  service network restart
fi

echo "end"
